### Class

# WebKit2 EditorState

#### Description [src]

    class WebKit2.EditorState : GObject.Object {
      parent: GObject,
      priv: WebKitEditorStatePrivate*
    }

Web editor state.

WebKitEditorState represents the state of a `WebKitWebView` editor. Use `webkit_web_view_get_editor_state()` to get the WebKitEditorState of a `WebKitWebView`.

Available since: | 2.10

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### webkit_editor_state_get_typing_attributes

Gets the typing attributes at the current cursor position.

Available since: 2.10

###### webkit_editor_state_is_copy_available

Gets whether a copy command can be issued.

Available since: 2.20

###### webkit_editor_state_is_cut_available

Gets whether a cut command can be issued.

Available since: 2.20

###### webkit_editor_state_is_paste_available

Gets whether a paste command can be issued.

Available since: 2.20

###### webkit_editor_state_is_redo_available

Gets whether a redo command can be issued.

Available since: 2.20

###### webkit_editor_state_is_undo_available

Gets whether an undo command can be issued.

Available since: 2.20

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit2.EditorState:typing-attributes

Bitmask of `WebKitEditorTypingAttributes` flags. See `webkit_editor_state_get_typing_attributes()` for more information.

Available since: 2.10

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKit2EditorStateClass {
      GObjectClass parent_class;
      void (* _webkit_reserved0) (
    void
      );
      void (* _webkit_reserved1) (
    void
      );
      void (* _webkit_reserved2) (
    void
      );
      void (* _webkit_reserved3) (
    void
      );

    }

No description available.

###### Class members

`parent_class` |
    GObjectClass
| No description available.
`_webkit_reserved0` |
    void (* _webkit_reserved0) (
    void
      )
| No description available.
`_webkit_reserved1` |
    void (* _webkit_reserved1) (
    void
      )
| No description available.
`_webkit_reserved2` |
    void (* _webkit_reserved2) (
    void
      )
| No description available.
`_webkit_reserved3` |
    void (* _webkit_reserved3) (
    void
      )
| No description available.